#
# This file is sourced by zorpctl and contains default settings
# for various parameters.
#
[zorpctl]
# specifies whether --auto-restart is default
AUTO_RESTART=1

# wait a starting process to report back for this amount of time, assume the
# startup failed if it exceeds this time.
START_WAIT_TIMEOUT=10

# The interval (in seconds) to check a stopping Zorp instance at, second
# fractions are allowed.
STOP_CHECK_DELAY=0.1

# The number of seconds to wait for a stopping Zorp instance
STOP_CHECK_TIMEOUT=5

# automatically append this string to each Zorp command line
ZORP_APPEND_ARGS=""

# arguments appended to the zorpctl instance specific options, such as
# --enable-core
ZORPCTL_APPEND_ARGS=""

# whether to check /etc/zorp permissions
CHECK_PERMS=1
#ZORP_SYSCONFDIR=/etc/zorp
#CONFIG_DIR_OWNER=root
#CONFIG_DIR_GROUP=zorp
#CONFIG_DIR_MODE=0750

# directory where Zorp stores its pidfiles
#ZORP_PIDFILEDIR=/var/run/zorp

# directory where Zorp executable exists
#ZORP_SBINDIR=/usr/sbin

# directory where Zorp module object exist
#ZORP_LIBDIR=/usr/lib/zorp

# set pidfile directory ownership according to the settings below (umask is
# applied). 
# DO not modify this, unless you know what you are doing.
PIDFILE_DIR_OWNER=zorp
PIDFILE_DIR_GROUP=zorp
PIDFILE_DIR_MODE=0770
